CVE-2022-24881

Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in maven/com.hccake/ballcat-codegen

Identifiers

GHSA-fv3m-xhqw-9m79, CVE-2022-24881

Package Slug

maven/com.hccake/ballcat-codegen

Vulnerability

Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection')

Description

Ballcat Codegen provides the function of online editing code to generate templates. In versions prior to 1.0.0.beta.2, attackers can implement remote code execution through malicious code injection of the template engine. This happens because Velocity and freemarker templates are introduced but input verification is not done. The fault is rectified in version 1.0.0.beta.2.

Affected Versions

All versions up to 1.0.0.beta.1

Solution

Upgrade to version 1.0.0.beta.2 or above.

Last Modified

2022-05-01

source